\name{readLibFile}
\alias{readLibFile}
\title{Load a spectrum library into a data frame}
\usage{
readLibFile(file, format = c("peakview", "openswath"), type = c("spectrum",
  "hydro"), clean = TRUE, ...)
}
\arguments{
\item{file}{A file of a spectrum library, in .txt or .csv format, can be .gz files.}

\item{format}{A character string denoting the file format. One of "peakview" (default) and "openswath"}

\item{type}{A character string denoting the file type. One of "spectrum" (default) and "hydro"}

\item{clean}{A logic value, representing if the library will be cleaned.}

  \item{\dots}{
	Additional parameters to pass in
}
}
\value{
a data frame of the library with cleaning process
}
\description{
Load a spectrum library into a data frame
}
\examples{
file <- paste(system.file("files",package="SwathXtend"),"Lib1.txt",sep="/")
dat <- readLibFile(file)
}

